Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.driver
Class LoggingManager

    java.lang.Object
      org.ensembl.driver.LoggingManager

public class LoggingManager
extends java.lang.Object

Utility class to simplify logging system configuration.

Setting the environment variable verbose (e.g. java -Dverbose ... ) causes the logging file loaded to be shown.

Field Summary
`static java.lang.String` | `DEFAULT_LOGGING_CONF_FILE`

Method Summary
`static void` | `configure()` Initialise logging system with file DEFAULT_LOGGING_CONF_FILE.
`static void` | `configure(java.lang.String filepath)` Configures logging system with contents of the file filepath.
`static void` | `configure(java.net.URL file)` Configures logging system with contents of URL.
`static boolean` | `isConfigured()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_LOGGING_CONF_FILE

    public static final java.lang.String DEFAULT_LOGGING_CONF_FILE

See Also:
  Constant Field Values

Method Detail

### configure

    public static void configure()

  Initialise logging system with file DEFAULT_LOGGING_CONF_FILE.

### configure

    public static void configure(java.lang.String filepath)

  Configures logging system with contents of the file filepath. It tries to load the file as a 'normal' file first relative to the current working directory. A 'slash' at the beginning of the filepath makes it absolute. If that fails it attempts to load the file relative to the classpath. This means the config file can be in a jar.

  Parameters:
    `filepath` - path relative to current working directory OR the classpath.
  Throws:
    `java.lang.RuntimeException` - if filpath not found.

### configure

    public static void configure(java.net.URL file)

  Configures logging system with contents of URL. Note that the call is ignored if the logging system has already been configured via the system property java.util.logging.config.file.

### isConfigured

    public static boolean isConfigured()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD